#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESplitScalingScaler {
    Invalid = 0,
    Auto = 1,
    Integer = 2,
    Fit = 3,
    Fill = 4,
    Stretch = 5,
}

impl ESplitScalingScaler {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Auto as i32 => Some(Self::Auto),
            x if x == Self::Integer as i32 => Some(Self::Integer),
            x if x == Self::Fit as i32 => Some(Self::Fit),
            x if x == Self::Fill as i32 => Some(Self::Fill),
            x if x == Self::Stretch as i32 => Some(Self::Stretch),
            _ => None,
        }
    }
}
